------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008-2010 Vadim Godunko <vgodunko@gmail.com>                 --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------

package Qt_Ada.Internals.Value_Class_Sizes is

   pragma Pure;

   QChar_C_Size_Of : constant := 2;
   QByteArray_C_Size_Of : constant := 8;
   QDate_C_Size_Of : constant := 4;
   QDateTime_C_Size_Of : constant := 8;
   QDir_C_Size_Of : constant := 8;
   QFileInfo_C_Size_Of : constant := 8;
   QLine_C_Size_Of : constant := 16;
   QLineF_C_Size_Of : constant := 32;
   QModelIndex_C_Size_Of : constant := 24;
   QPoint_C_Size_Of : constant := 8;
   QPointF_C_Size_Of : constant := 16;
   QProcessEnvironment_C_Size_Of : constant := 8;
   QRect_C_Size_Of : constant := 16;
   QRectF_C_Size_Of : constant := 32;
   QRegExp_C_Size_Of : constant := 8;
   QSize_C_Size_Of : constant := 8;
   QSizeF_C_Size_Of : constant := 16;
   QString_C_Size_Of : constant := 8;
   QStringList_C_Size_Of : constant := 8;
   QTime_C_Size_Of : constant := 4;
   QUrl_C_Size_Of : constant := 8;
   QVariant_C_Size_Of : constant := 16;
   QListOfQByteArray_C_Size_Of : constant := 8;
   QListOfQObject_C_Size_Of : constant := 8;
   QListOfint_C_Size_Of : constant := 8;

   QBrush_C_Size_Of : constant := 8;
   QColor_C_Size_Of : constant := 16;
   QCursor_C_Size_Of : constant := 8;
   QFont_C_Size_Of : constant := 16;
   QFontInfo_C_Size_Of : constant := 8;
   QFontMetrics_C_Size_Of : constant := 8;
   QIcon_C_Size_Of : constant := 8;
   QImage_C_Size_Of : constant := 24;
   QImageReader_C_Size_Of : constant := 8;
   QImageWriter_C_Size_Of : constant := 8;
   QGradient_C_Size_Of : constant := 64;
   QKeySequence_C_Size_Of : constant := 8;
   QMatrix_C_Size_Of : constant := 48;
   QPainter_C_Size_Of : constant := 8;
   QPainterPath_C_Size_Of : constant := 8;
   QPen_C_Size_Of : constant := 8;
   QPixmap_C_Size_Of : constant := 24;
   QPolygon_C_Size_Of : constant := 8;
   QPolygonF_C_Size_Of : constant := 8;
   QPrinter_C_Size_Of : constant := 24;
   QRegion_C_Size_Of : constant := 8;
   QTextLength_C_Size_Of : constant := 16;
   QTextFormat_C_Size_Of : constant := 16;
   QTransform_C_Size_Of : constant := 88;
   QListOfQKeySequence_C_Size_Of : constant := 8;

   QDomNode_C_Size_Of : constant := 8;
   QDomImplementation_C_Size_Of : constant := 8;
   QDomNamedNodeMap_C_Size_Of : constant := 8;
   QDomNodeList_C_Size_Of : constant := 8;

   QSqlDatabase_C_Size_Of : constant := 8;
   QSqlError_C_Size_Of : constant := 24;
   QSqlField_C_Size_Of : constant := 24;
   QSqlQuery_C_Size_Of : constant := 8;
   QSqlRecord_C_Size_Of : constant := 32;

end Qt_Ada.Internals.Value_Class_Sizes;
